using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ClipboardExample
{
   public enum RecordOrCollectionResult
   {
      None = 0,
      Cancel,
      Record,
      Collection
   }

   public partial class RecordOrCollectionDialog : Form
   {
      private RecordOrCollectionResult mResult = RecordOrCollectionResult.None;

      public RecordOrCollectionDialog()
      {
         InitializeComponent();
      }

      internal RecordOrCollectionResult Result
      {
         get { return this.mResult; }
      }

      private void addRecordButton_Click(object sender, EventArgs e)
      {
         this.DialogResult = DialogResult.OK;
         this.mResult = RecordOrCollectionResult.Record;
      }

      private void collectionButton_Click(object sender, EventArgs e)
      {
         this.DialogResult = DialogResult.OK;
         this.mResult = RecordOrCollectionResult.Collection;
      }

      private void cancelButton_Click(object sender, EventArgs e)
      {
         this.DialogResult = DialogResult.Cancel;
         this.mResult = RecordOrCollectionResult.Cancel;
      }
   }
}